Set a new password for the authenticated user. You must pass the reset token from the password reset email as a Bearer token in theDocumentation Index
Fetch the complete documentation index at: https://mintlify.com/eggarcia98/auth-backend/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header.
Request
POST /api/v1/auth/reset-password
Requires the reset token from the password reset email as a Bearer token.
Headers
Bearer token from the password reset email link. Format:
Bearer <resetToken>. The middleware uses this to authenticate the request.Body
The reset token from the password reset email link. This is validated by the request body schema in addition to the
Authorization header.The new password for the account. Must meet all of the following requirements:
- At least 8 characters
- At least one uppercase letter (A–Z)
- At least one lowercase letter (a–z)
- At least one number (0–9)
Response
Indicates whether the request succeeded. Always
true on success.Examples
Success response
200
Error responses
400
401